#include "FreeRTOS.h"

// this is for 'trapping' interrupts...
// and for debug purposes only...

// #define DACDMA_VECTOR       (0 * 2u)  /* 0xFFE0 DAC/DMA */
// #define PORT2_VECTOR        (1 * 2u)  /* 0xFFE2 Port 2 */
// ok
// #define USART1TX_VECTOR     (2 * 2u)  /* 0xFFE4 USART 1 Transmit */
// ok
// #define USART1RX_VECTOR     (3 * 2u)  /* 0xFFE6 USART 1 Receive */
// #define PORT1_VECTOR        (4 * 2u)  /* 0xFFE8 Port 1 */
// #define TIMERA1_VECTOR      (5 * 2u)  /* 0xFFEA Timer A CC1-2, TA */
// #define TIMERA0_VECTOR      (6 * 2u)  /* 0xFFEC Timer A CC0 */
// #define ADC12_VECTOR        (7 * 2u)  /* 0xFFEE ADC */
// OK
// #define USART0TX_VECTOR     (8 * 2u)  /* 0xFFF0 USART 0 Transmit */
// ok
// #define USART0RX_VECTOR     (9 * 2u)  /* 0xFFF2 USART 0 Receive */
// should be ok...
// #define WDT_VECTOR          (10 * 2u) /* 0xFFF4 Watchdog Timer */
// #define COMPARATORA_VECTOR  (11 * 2u) /* 0xFFF6 Comparator A */
// #define TIMERB1_VECTOR      (12 * 2u) /* 0xFFF8 Timer B CC1-6, TB */
// #define TIMERB0_VECTOR      (13 * 2u) /* 0xFFFA Timer B CC0 */

// #define NMI_VECTOR          (14 * 2u) /* 0xFFFC Non-maskable */
// ok
// #define RESET_VECTOR        (15 * 2u) /* 0xFFFE Reset [Highest Priority] */

// #pragma vector=TIMERA1_VECTOR
// #pragma INTERRUPT (TIMERA1_isr);
__interrupt void Timer_A1(void);
TIMERA1_ISR(Timer_A1)
__interrupt void Timer_A1(void)
{
	while(1);
}

// #pragma vector=TIMERB1_VECTOR
#pragma INTERRUPT (TIMERB1_isr);
static interrupt void TIMERB1_isr(void)
{
	while(1);
}
/*
#pragma vector=TIMERA0_VECTOR
static __interrupt void TIMERA0_isr(void)
{
	while(1);
}
*/

// #pragma vector=TIMERB0_VECTOR
#pragma INTERRUPT (TIMERB0_isr);
// static __interrupt void TIMERB0_isr(void)
static interrupt void TIMERB0_isr(void)
{
	while(1);
}

// #pragma vector=DACDMA_VECTOR
#pragma INTERRUPT (DACDMA_isr);
// static __interrupt void DACDMA_isr(void)
static interrupt void DACDMA_isr(void)
{
	while(1);
}

// #pragma vector=PORT2_VECTOR
#pragma INTERRUPT (Port2_isr);
static interrupt void Port2_isr(void)
// static __interrupt void Port2_isr(void)
{
	while(1);
}

// #pragma vector=PORT1_VECTOR
#pragma  INTERRUPT (Port1_isr);
static interrupt void Port1_isr(void)
{
	while(1);
}

// #pragma vector=ADC12_VECTOR
#pragma INTERRUPT (ADC12_isr);
static interrupt void ADC12_isr(void)
// static __interrupt void ADC12_isr(void)
{
	while(1);
}

// #pragma vector=COMPARATORA_VECTOR
#pragma INTERRUPT (COMPARATORA_isr);
// static __interrupt void COMPARATORA_isr(void)
static interrupt void COMPARATORA_isr(void)
{
	while(1);
}

// #pragma vector=NMI_VECTOR
#pragma INTERRUPT (NMI_isr);
// static __interrupt void NMI_isr(void)
static interrupt void NMI_isr(void)
{
	while(1);
}
